function get-memory ([string]$units = "b") {

	$comp = get-wmiobject Win32_OperatingSystem
	$mem = $comp.FreePhysicalMemory + $comp.FreeVirtualMemory
	switch ($units) {
		"b" {$mem}
		"k" {[int]($mem / 1024)}
		"m" {[int](($mem * 100) / 1048576) / 100}
	}
}

get-memory("k")
