function plist([string]$name="*")
{

$Svc = get-wmiobject win32_service | sort ProcessId | group-object ProcessId
$ps = @(get-process $name | sort Id)
$i=0
$j=0
while($i -lt $ps.count -and $j -lt $svc.count)
   {

   if($ps[$i].Id -lt $Svc[$j].Name)
  {

   $i++;
   continue;
   }
   if($ps[$i].id -gt $svc[$j].Name)
   {
   $j++;
   continue;
   }
   if($ps[$i].id -eq $svc[$j].Name)
   {
   $ps[$i]| add-member NoteProperty service $Svc[$j].group;
   $i++;
   $j++;
  }
  }
$ps;
}
 

# Here is the plist function in action against the svchost processes:
plist svchost* | format-table -autosize name,Id,service