# spaceused.ps1
# Lists space used by tables in database of your choice
[System.Reflection.Assembly]::LoadWithPartialName("Microsoft.SqlServer.SMO") 

$s = new-object ('Microsoft.SqlServer.Management.SMO.Server') "SQLHASP1\SQLDEV01"
$d = $s.databases
$d | where {$_.IsSystemObject -eq 0} | select Name, DataSpaceUsed, IndexSpaceUsed | sort DataSpaceUsed -desc

