#ChgDBProperty.ps1
#Sets the Database Property of all databases to Simple Recovery
[System.Reflection.Assembly]::LoadWithPartialName("Microsoft.SqlServer.SMO")  | out-null

$s = new-object ('Microsoft.SqlServer.Management.Smo.Server') 'SQLHASP1\SQLDEV01'
$dbs = $s.databases

$dbs | foreach-object {
	$db = $_
	
	if ($db.IsSystemObject -eq $False -and $db.IsMirroringEnabled -eq $False) {
		$dbopt = $db.DatabaseOptions
		$dbopt.RecoveryModel = "Simple"
		$dbopt.Alter()
		$db.Alter()
		}

	}
