#CreateDatabase.ps1
#Creates a new database using our specifications
[System.Reflection.Assembly]::LoadWithPartialName("Microsoft.SqlServer.SMO")  | out-null

$s = new-object ('Microsoft.SqlServer.Management.Smo.Server') 'SQLHASP1\SQLDEV01'
$db = new-object ('Microsoft.SqlServer.Management.Smo.Database') ($s, "NewDB")
$fg = new-object ('Microsoft.SqlServer.Management.Smo.FileGroup') ($db, "PRIMARY")
$db.FileGroups.Add($fg)

$dbdfile = new-object ('Microsoft.SqlServer.Management.Smo.DataFile') ($fg, "NewDB_Data")
$fg.Files.Add($dbdfile)
$dbdfile.FileName = "C:\MSSQL\Data\NewDB_Data.mdf"
$dbdfile.Size = [double](25.0 * 1024.0)
$dbdfile.GrowthType = "Percent"
$dbdfile.Growth = 25.0
$dbdfile.MaxSize = [double](100.0 * 1024.0)

$dblfile = new-object ('Microsoft.SqlServer.Management.Smo.LogFile') ($db, "NewDB_Log")
$dblfile.FileName = "C:\MSSQL\Data\NewDB_Log.ldf"
$dblfile.Size = [double](10.0 * 1024.0)
$dblfile.GrowthType = "Percent"
$dblfile.Growth = 25.0

$db.Create()
